Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

Already on GitHub? Sign in to your account

Installation error on Ubuntu 10.10 #7

Closed
nihpo opened this Issue Aug 27, 2012 · 0 comments

Comments

Projects
None yet
2 participants

nihpo commented Aug 27, 2012

Hi:

First of all, thank you for putting this code out. It seems to be very useful.

I installed japerk-nltk-trainer-5c0b53c on my Ubuntu 10.10 box. I did have to change the "requirements.txt" file in this line:
scipy>=0.7.0

The error message I'm getting is this:

dscs@lap02:~/Desktop/USC/taxonomy$ python /usr/local/bin/train_classifier.py --multi --instances sents -- cat_pattern "(.+).txt"
Traceback (most recent call last):
File "/usr/local/bin/train_classifier.py", line 5, in
pkg_resources.run_script('nltk-trainer==0.9', 'train_classifier.py')
File "/usr/local/lib/python2.6/dist-packages/distribute-0.6.21-py2.6.egg/pkg_resources.py", line 499, in run_script
self.require(requires)[0].run_script(script_name, ns)
File "/usr/local/lib/python2.6/dist-packages/distribute-0.6.21-py2.6.egg/pkg_resources.py", line 1235, in run_script
execfile(script_filename, namespace, namespace)
File "/usr/local/lib/python2.6/dist-packages/nltk_trainer-0.9-py2.6.egg/EGG-INFO/scripts/train_classifier.py", line 4, in
import nltk_trainer.classification.args
File "/usr/local/lib/python2.6/dist-packages/nltk_trainer-0.9-py2.6.egg/nltk_trainer/init.py", line 7, in
from nltk_trainer.tagging.readers import NumberedTaggedSentCorpusReader
ImportError: No module named tagging.readers

Any suggestions appreciated. Thanks.

@japerk japerk closed this Feb 24, 2013

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment